Vai al contenuto principale
GET
/
v1
/
answers
/
{answer_id}
Antwort abrufen
curl --request GET \
  --url https://api.olostep.com/v1/answers/{answer_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "created": 123,
  "metadata": {},
  "task": "<string>",
  "result": {
    "json_content": "<string>",
    "json_hosted_url": "<string>",
    "sources": [
      "<string>"
    ]
  }
}

Descrizione

Questo endpoint recupera una risposta specifica utilizzando il suo answer_id. È utile per ottenere dettagli su una risposta precedentemente generata.

Richiesta

Metodo HTTP

GET

URL

/v1/answers/{answer_id}

Parametri di percorso

  • answer_id: obbligatorio. L’identificatore univoco della risposta che si desidera recuperare.

Risposta

Corpo della risposta

La risposta sarà un oggetto JSON contenente i dettagli della risposta richiesta.

Esempio di risposta

{
  "id": "answer_123",
  "status": "completed",
  "result": "La risposta generata è qui."
}

Codici di stato

  • 200 OK: La richiesta è stata completata con successo.
  • 404 Not Found: Non è stata trovata alcuna risposta con l’answer_id fornito.
  • 500 Internal Server Error: Si è verificato un errore nel server.

Esempio di utilizzo

curl -X GET "https://api.olostep.com/v1/answers/answer_123" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Assicurati di sostituire YOUR_ACCESS_TOKEN con il tuo token di accesso effettivo.

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parametri del percorso

answer_id
string
obbligatorio

Eindeutiger Bezeichner für die abzurufende Antwort.

Risposta

Erfolgreiche Antwort mit dem Antwortobjekt.

id
string
object
string
created
integer
metadata
object
task
string
result
object